diff --git a/workdir/Asociace/Assets/Scenes/Menu.unity b/workdir/Asociace/Assets/Scenes/Menu.unity
index cc3b02aa7..31795f3e2 100644
--- a/workdir/Asociace/Assets/Scenes/Menu.unity
+++ b/workdir/Asociace/Assets/Scenes/Menu.unity
@@ -2749,148 +2484,119 @@ PrefabInstance:
   m_Modification:
     m_TransformParent: {fileID: 917973302}
     m_Modifications:
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMax.y
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMin.y
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_SizeDelta.x
       value: 312.1132
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_SizeDelta.y
       value: 395.0002
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchoredPosition.x
       value: 186.0566
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchoredPosition.y
       value: -227.5001
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_Pivot.x
       value: 0.5
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_Pivot.y
       value: 0.5
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_RootOrder
       value: 3
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMax.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMax.y
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMin.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMin.y
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_SizeDelta.x
       value: 372.1132
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_SizeDelta.y
       value: 455.0002
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalPosition.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalPosition.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalRotation.w
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalRotation.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalRotation.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalRotation.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchoredPosition.x
       value: 950.28296
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchoredPosition.y
       value: -227.5001
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalEulerAnglesHint.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalEulerAnglesHint.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalEulerAnglesHint.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513521, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513521, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_Name
       value: Sounds (empty)
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513521, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513521, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_IsActive
       value: 0
       objectReference: {fileID: 0}
@@ -2898,8 +2604,7 @@ PrefabInstance:
   m_SourcePrefab: {fileID: 100100000, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
 --- !u!224 &474001213 stripped
 RectTransform:
-  m_CorrespondingSourceObject: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
   m_PrefabInstance: {fileID: 474001212}
   m_PrefabAsset: {fileID: 0}
 --- !u!1 &491029034
@@ -2932,6 +2637,7 @@ RectTransform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children:
   - {fileID: 626129883}
   - {fileID: 692456518}
@@ -2953,7 +2659,7 @@ MonoBehaviour:
   m_GameObject: {fileID: 491029034}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: 1297475563, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: 59f8146938fff824cb5fd77236b75775, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Padding:
@@ -2967,6 +2673,9 @@ MonoBehaviour:
   m_ChildForceExpandHeight: 1
   m_ChildControlWidth: 1
   m_ChildControlHeight: 1
+  m_ChildScaleWidth: 0
+  m_ChildScaleHeight: 0
+  m_ReverseArrangement: 0
 --- !u!222 &491029037
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -2984,12 +2693,14 @@ MonoBehaviour:
   m_GameObject: {fileID: 491029034}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -765806418, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
@@ -3002,6 +2713,7 @@ MonoBehaviour:
   m_FillClockwise: 1
   m_FillOrigin: 0
   m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
 --- !u!114 &491029039
 MonoBehaviour:
   m_ObjectHideFlags: 0
@@ -3027,8 +2739,7 @@ MonoBehaviour:
   mainCamera: {fileID: 1896176080}
 --- !u!114 &552767179 stripped
 MonoBehaviour:
-  m_CorrespondingSourceObject: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
   m_PrefabInstance: {fileID: 1632711785}
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 0}
@@ -3039,26 +2750,23 @@ MonoBehaviour:
   m_EditorClassIdentifier: 
 --- !u!224 &568331660 stripped
 RectTransform:
-  m_CorrespondingSourceObject: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
   m_PrefabInstance: {fileID: 1067804973}
   m_PrefabAsset: {fileID: 0}
 --- !u!224 &587660505 stripped
 RectTransform:
-  m_CorrespondingSourceObject: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
   m_PrefabInstance: {fileID: 1535727530}
   m_PrefabAsset: {fileID: 0}
 --- !u!114 &587660507 stripped
 MonoBehaviour:
-  m_CorrespondingSourceObject: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
   m_PrefabInstance: {fileID: 1535727530}
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 0}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -113659843, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: 67db9e8f0e2ae9c40bc1e2b64352a6b4, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
 --- !u!1 &606128171
@@ -3090,6 +2798,7 @@ RectTransform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 173559929}
   m_RootOrder: 0
@@ -3114,14 +2823,15 @@ MonoBehaviour:
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
   m_text: 
   m_isRightToLeft: 0
   m_fontAsset: {fileID: 11400000, guid: d340b7cafa78e9d43b6fb4e16ea764f4, type: 2}
-  m_sharedMaterial: {fileID: 21742447660461980, guid: d340b7cafa78e9d43b6fb4e16ea764f4,
-    type: 2}
+  m_sharedMaterial: {fileID: 21742447660461980, guid: d340b7cafa78e9d43b6fb4e16ea764f4, type: 2}
   m_fontSharedMaterials: []
   m_fontMaterial: {fileID: 0}
   m_fontMaterials: []
@@ -3139,13 +2849,12 @@ MonoBehaviour:
   m_fontColorGradientPreset: {fileID: 0}
   m_spriteAsset: {fileID: 0}
   m_tintAllSprites: 0
+  m_StyleSheet: {fileID: 0}
+  m_TextStyleHashCode: 0
   m_overrideHtmlColors: 0
   m_faceColor:
     serializedVersion: 2
     rgba: 4294967295
-  m_outlineColor:
-    serializedVersion: 2
-    rgba: 4278190080
   m_fontSize: 50
   m_fontSizeBase: 50
   m_fontWeight: 400
@@ -3153,6 +2862,8 @@ MonoBehaviour:
   m_fontSizeMin: 18
   m_fontSizeMax: 72
   m_fontStyle: 0
+  m_HorizontalAlignment: 1
+  m_VerticalAlignment: 256
   m_textAlignment: 257
   m_characterSpacing: 0
   m_wordSpacing: 0
@@ -3163,10 +2874,8 @@ MonoBehaviour:
   m_enableWordWrapping: 1
   m_wordWrappingRatios: 0.4
   m_overflowMode: 4
-  m_firstOverflowCharacterIndex: -1
   m_linkedTextComponent: {fileID: 0}
-  m_isLinkedTextComponent: 0
-  m_isTextTruncated: 0
+  parentLinkedComponent: {fileID: 0}
   m_enableKerning: 1
   m_enableExtraPadding: 0
   checkPaddingRequired: 0
@@ -3174,40 +2883,18 @@ MonoBehaviour:
   m_parseCtrlCharacters: 1
   m_isOrthographic: 1
   m_isCullingEnabled: 0
-  m_ignoreRectMaskCulling: 0
-  m_ignoreCulling: 1
   m_horizontalMapping: 0
   m_verticalMapping: 0
   m_uvLineOffset: 0
   m_geometrySortingOrder: 0
+  m_IsTextObjectScaleStatic: 0
   m_VertexBufferAutoSizeReduction: 1
-  m_firstVisibleCharacter: 0
   m_useMaxVisibleDescender: 1
   m_pageToDisplay: 1
   m_margin: {x: 0, y: 0, z: 0, w: 0}
-  m_textInfo:
-    textComponent: {fileID: 606128173}
-    characterCount: 0
-    spriteCount: 0
-    spaceCount: 0
-    wordCount: 0
-    linkCount: 0
-    lineCount: 0
-    pageCount: 0
-    materialCount: 1
   m_isUsingLegacyAnimationComponent: 0
   m_isVolumetricText: 0
-  m_spriteAnimator: {fileID: 0}
   m_hasFontAssetChanged: 0
-  m_subTextObjects:
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
   m_baseMaterial: {fileID: 0}
   m_maskOffset: {x: 0, y: 0, z: 0, w: 0}
 --- !u!222 &606128174
@@ -3227,7 +2914,7 @@ MonoBehaviour:
   m_GameObject: {fileID: 606128171}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: 1741964061, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: 3245ec927659c4140ac4f8d17403cc18, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_HorizontalFit: 0
@@ -3261,6 +2948,7 @@ RectTransform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children:
   - {fileID: 1254227202}
   m_Father: {fileID: 491029035}
@@ -3280,7 +2968,7 @@ MonoBehaviour:
   m_GameObject: {fileID: 626129882}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: 1679637790, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: 306cc8c2b49d7114eaa3623786fc2126, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_IgnoreLayout: 0
@@ -3300,12 +2988,14 @@ MonoBehaviour:
   m_GameObject: {fileID: 626129882}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -765806418, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 0.5019608}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
@@ -3318,6 +3008,7 @@ MonoBehaviour:
   m_FillClockwise: 1
   m_FillOrigin: 0
   m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
 --- !u!222 &626129887
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -3328,14 +3019,12 @@ CanvasRenderer:
   m_CullTransparentMesh: 0
 --- !u!224 &637080677 stripped
 RectTransform:
-  m_CorrespondingSourceObject: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
   m_PrefabInstance: {fileID: 1120186559229299359}
   m_PrefabAsset: {fileID: 0}
 --- !u!114 &637080678 stripped
 MonoBehaviour:
-  m_CorrespondingSourceObject: {fileID: 1120186559832694521, guid: 61f37770c6055ac4fb233f8e577f2f32,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 1120186559832694521, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
   m_PrefabInstance: {fileID: 1120186559229299359}
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 0}
@@ -3372,6 +3061,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 1209504428}
   m_RootOrder: 0
@@ -3396,6 +3086,8 @@ MonoBehaviour:
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
@@ -3405,7 +3097,6 @@ MonoBehaviour:
   m_sharedMaterial: {fileID: 0}
   m_isDefaultMaterial: 0
   m_padding: 0
-  m_canvasRenderer: {fileID: 639800277}
   m_TextComponent: {fileID: 1209504429}
   m_materialReferenceIndex: 1
 --- !u!222 &639800277
@@ -3418,20 +3109,18 @@ CanvasRenderer:
   m_CullTransparentMesh: 0
 --- !u!224 &645981015 stripped
 RectTransform:
-  m_CorrespondingSourceObject: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
   m_PrefabInstance: {fileID: 266084446}
   m_PrefabAsset: {fileID: 0}
 --- !u!114 &645981017 stripped
 MonoBehaviour:
-  m_CorrespondingSourceObject: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
   m_PrefabInstance: {fileID: 266084446}
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 0}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -113659843, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: 67db9e8f0e2ae9c40bc1e2b64352a6b4, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
 --- !u!1 &653540505
@@ -3462,6 +3151,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children:
   - {fileID: 1563594200}
   m_Father: {fileID: 1678562387}
@@ -3481,12 +3171,14 @@ MonoBehaviour:
   m_GameObject: {fileID: 653540505}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -765806418, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
@@ -3499,6 +3191,7 @@ MonoBehaviour:
   m_FillClockwise: 1
   m_FillOrigin: 0
   m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
 --- !u!222 &653540508
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -3509,8 +3202,7 @@ CanvasRenderer:
   m_CullTransparentMesh: 0
 --- !u!114 &691144027 stripped
 MonoBehaviour:
-  m_CorrespondingSourceObject: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
   m_PrefabInstance: {fileID: 46403444}
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 1380004476}
@@ -3547,6 +3239,7 @@ RectTransform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children:
   - {fileID: 1360391739}
   - {fileID: 424419746}
@@ -3571,7 +3264,7 @@ MonoBehaviour:
   m_GameObject: {fileID: 692456517}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -405508275, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: 30649d3a9faa99c48a7b1166b86bf2a0, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Padding:
@@ -3585,6 +3278,9 @@ MonoBehaviour:
   m_ChildForceExpandHeight: 1
   m_ChildControlWidth: 1
   m_ChildControlHeight: 1
+  m_ChildScaleWidth: 0
+  m_ChildScaleHeight: 0
+  m_ReverseArrangement: 0
 --- !u!222 &692456520
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -3621,6 +3317,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 423836622}
   m_RootOrder: 0
@@ -3645,14 +3342,15 @@ MonoBehaviour:
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
   m_text: Seed...
   m_isRightToLeft: 0
   m_fontAsset: {fileID: 11400000, guid: d340b7cafa78e9d43b6fb4e16ea764f4, type: 2}
-  m_sharedMaterial: {fileID: 21742447660461980, guid: d340b7cafa78e9d43b6fb4e16ea764f4,
-    type: 2}
+  m_sharedMaterial: {fileID: 21742447660461980, guid: d340b7cafa78e9d43b6fb4e16ea764f4, type: 2}
   m_fontSharedMaterials: []
   m_fontMaterial: {fileID: 0}
   m_fontMaterials: []
@@ -3670,21 +3368,22 @@ MonoBehaviour:
   m_fontColorGradientPreset: {fileID: 0}
   m_spriteAsset: {fileID: 0}
   m_tintAllSprites: 0
+  m_StyleSheet: {fileID: 0}
+  m_TextStyleHashCode: -1183493901
   m_overrideHtmlColors: 0
   m_faceColor:
     serializedVersion: 2
     rgba: 4294967295
-  m_outlineColor:
-    serializedVersion: 2
-    rgba: 4278190080
-  m_fontSize: 29.7
+  m_fontSize: 28.2
   m_fontSizeBase: 14
   m_fontWeight: 400
   m_enableAutoSizing: 1
   m_fontSizeMin: 18
   m_fontSizeMax: 30
   m_fontStyle: 2
-  m_textAlignment: 513
+  m_HorizontalAlignment: 1
+  m_VerticalAlignment: 512
+  m_textAlignment: 65535
   m_characterSpacing: 0
   m_wordSpacing: 0
   m_lineSpacing: 0
@@ -3694,10 +3393,8 @@ MonoBehaviour:
   m_enableWordWrapping: 0
   m_wordWrappingRatios: 0.4
   m_overflowMode: 0
-  m_firstOverflowCharacterIndex: -1
   m_linkedTextComponent: {fileID: 0}
-  m_isLinkedTextComponent: 0
-  m_isTextTruncated: 0
+  parentLinkedComponent: {fileID: 0}
   m_enableKerning: 1
   m_enableExtraPadding: 1
   checkPaddingRequired: 0
@@ -3705,40 +3402,18 @@ MonoBehaviour:
   m_parseCtrlCharacters: 1
   m_isOrthographic: 1
   m_isCullingEnabled: 0
-  m_ignoreRectMaskCulling: 0
-  m_ignoreCulling: 1
   m_horizontalMapping: 0
   m_verticalMapping: 0
   m_uvLineOffset: 0
   m_geometrySortingOrder: 0
+  m_IsTextObjectScaleStatic: 0
   m_VertexBufferAutoSizeReduction: 1
-  m_firstVisibleCharacter: 0
   m_useMaxVisibleDescender: 1
   m_pageToDisplay: 1
   m_margin: {x: 0, y: 0, z: 0, w: 0}
-  m_textInfo:
-    textComponent: {fileID: 699232676}
-    characterCount: 7
-    spriteCount: 0
-    spaceCount: 0
-    wordCount: 1
-    linkCount: 0
-    lineCount: 1
-    pageCount: 1
-    materialCount: 1
   m_isUsingLegacyAnimationComponent: 0
   m_isVolumetricText: 0
-  m_spriteAnimator: {fileID: 0}
   m_hasFontAssetChanged: 0
-  m_subTextObjects:
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
   m_baseMaterial: {fileID: 0}
   m_maskOffset: {x: 0, y: 0, z: 0, w: 0}
 --- !u!222 &699232677
@@ -3779,6 +3454,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children:
   - {fileID: 342250886}
   m_Father: {fileID: 173559929}
@@ -3798,11 +3474,12 @@ MonoBehaviour:
   m_GameObject: {fileID: 700293340}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -2061169968, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: 2a4db7a114972834c8e4117be1d82ba3, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Navigation:
     m_Mode: 3
+    m_WrapAround: 0
     m_SelectOnUp: {fileID: 0}
     m_SelectOnDown: {fileID: 0}
     m_SelectOnLeft: {fileID: 0}
@@ -3812,17 +3489,20 @@ MonoBehaviour:
     m_NormalColor: {r: 1, g: 1, b: 1, a: 1}
     m_HighlightedColor: {r: 0.9607843, g: 0.9607843, b: 0.9607843, a: 1}
     m_PressedColor: {r: 0.78431374, g: 0.78431374, b: 0.78431374, a: 1}
+    m_SelectedColor: {r: 0.9607843, g: 0.9607843, b: 0.9607843, a: 1}
     m_DisabledColor: {r: 0.78431374, g: 0.78431374, b: 0.78431374, a: 0.5019608}
     m_ColorMultiplier: 1
     m_FadeDuration: 0.1
   m_SpriteState:
     m_HighlightedSprite: {fileID: 0}
     m_PressedSprite: {fileID: 0}
+    m_SelectedSprite: {fileID: 0}
     m_DisabledSprite: {fileID: 0}
   m_AnimationTriggers:
     m_NormalTrigger: Normal
     m_HighlightedTrigger: Highlighted
     m_PressedTrigger: Pressed
+    m_SelectedTrigger: Highlighted
     m_DisabledTrigger: Disabled
   m_Interactable: 1
   m_TargetGraphic: {fileID: 825275746}
@@ -3843,12 +3523,14 @@ MonoBehaviour:
   m_GameObject: {fileID: 700293340}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -765806418, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 0.2509804}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
@@ -3861,6 +3543,7 @@ MonoBehaviour:
   m_FillClockwise: 1
   m_FillOrigin: 0
   m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
 --- !u!222 &700293344
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -3921,6 +3604,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children:
   - {fileID: 473102180}
   m_Father: {fileID: 190023555}
@@ -3946,14 +3630,15 @@ MonoBehaviour:
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
   m_text: 
   m_isRightToLeft: 0
   m_fontAsset: {fileID: 11400000, guid: 7a79d3a3c0c14d04fb763d4bbf5390f1, type: 2}
-  m_sharedMaterial: {fileID: 21742447660461980, guid: 7a79d3a3c0c14d04fb763d4bbf5390f1,
-    type: 2}
+  m_sharedMaterial: {fileID: 21742447660461980, guid: 7a79d3a3c0c14d04fb763d4bbf5390f1, type: 2}
   m_fontSharedMaterials: []
   m_fontMaterial: {fileID: 0}
   m_fontMaterials: []
@@ -3971,13 +3656,12 @@ MonoBehaviour:
   m_fontColorGradientPreset: {fileID: 0}
   m_spriteAsset: {fileID: 0}
   m_tintAllSprites: 0
+  m_StyleSheet: {fileID: 0}
+  m_TextStyleHashCode: 0
   m_overrideHtmlColors: 0
   m_faceColor:
     serializedVersion: 2
     rgba: 4294967295
-  m_outlineColor:
-    serializedVersion: 2
-    rgba: 4278190080
   m_fontSize: 60
   m_fontSizeBase: 60
   m_fontWeight: 400
@@ -3985,6 +3669,8 @@ MonoBehaviour:
   m_fontSizeMin: 18
   m_fontSizeMax: 72
   m_fontStyle: 1
+  m_HorizontalAlignment: 1
+  m_VerticalAlignment: 256
   m_textAlignment: 513
   m_characterSpacing: 0
   m_wordSpacing: 0
@@ -3995,10 +3681,8 @@ MonoBehaviour:
   m_enableWordWrapping: 1
   m_wordWrappingRatios: 0.4
   m_overflowMode: 0
-  m_firstOverflowCharacterIndex: -1
   m_linkedTextComponent: {fileID: 0}
-  m_isLinkedTextComponent: 0
-  m_isTextTruncated: 0
+  parentLinkedComponent: {fileID: 0}
   m_enableKerning: 1
   m_enableExtraPadding: 0
   checkPaddingRequired: 0
@@ -4006,40 +3690,18 @@ MonoBehaviour:
   m_parseCtrlCharacters: 1
   m_isOrthographic: 1
   m_isCullingEnabled: 0
-  m_ignoreRectMaskCulling: 0
-  m_ignoreCulling: 1
   m_horizontalMapping: 0
   m_verticalMapping: 0
   m_uvLineOffset: 0
   m_geometrySortingOrder: 0
+  m_IsTextObjectScaleStatic: 0
   m_VertexBufferAutoSizeReduction: 1
-  m_firstVisibleCharacter: 0
   m_useMaxVisibleDescender: 1
   m_pageToDisplay: 1
   m_margin: {x: 0, y: 0, z: 0, w: 0}
-  m_textInfo:
-    textComponent: {fileID: 727341177}
-    characterCount: 0
-    spriteCount: 0
-    spaceCount: 0
-    wordCount: 0
-    linkCount: 0
-    lineCount: 0
-    pageCount: 0
-    materialCount: 1
   m_isUsingLegacyAnimationComponent: 0
   m_isVolumetricText: 0
-  m_spriteAnimator: {fileID: 0}
   m_hasFontAssetChanged: 1
-  m_subTextObjects:
-  - {fileID: 0}
-  - {fileID: 473102181}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
   m_baseMaterial: {fileID: 0}
   m_maskOffset: {x: 0, y: 0, z: 0, w: 0}
 --- !u!222 &727341178
@@ -4078,6 +3740,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 342250886}
   m_RootOrder: 0
@@ -4096,12 +3759,14 @@ MonoBehaviour:
   m_GameObject: {fileID: 825275744}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -765806418, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
   m_Color: {r: 0.23529412, g: 0.27058825, b: 0.28235295, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
@@ -4114,6 +3779,7 @@ MonoBehaviour:
   m_FillClockwise: 1
   m_FillOrigin: 0
   m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
 --- !u!222 &825275747
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -4150,6 +3816,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 1187305259}
   m_RootOrder: 0
